gtkmm: Gtk::SignalAction Class Reference

gtkmm 4.14.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::SignalAction Class Reference

A Gtk::ShortcutAction that emits a signal. More...

`#include <gtkmm/shortcutaction.h>`

Inheritance diagram for Gtk::SignalAction:
[legend]

## Public Member Functions
| SignalAction (SignalAction &&src) noexcept
SignalAction & | operator= (SignalAction &&src) noexcept
| ~SignalAction () noexcept override
GtkSignalAction * | gobj ()
| Provides access to the underlying C GObject.
const GtkSignalAction * | gobj () const
| Provides access to the underlying C GObject.
GtkSignalAction * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_signal_name () const
| Returns the name of the signal that will be emitted.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_signal_name () const
| The name of the signal to emit.
Public Member Functions inherited from Gtk::ShortcutAction
| ShortcutAction (ShortcutAction &&src) noexcept
ShortcutAction & | operator= (ShortcutAction &&src) noexcept
| ~ShortcutAction () noexcept override
GtkShortcutAction * | gobj ()
| Provides access to the underlying C GObject.
const GtkShortcutAction * | gobj () const
| Provides access to the underlying C GObject.
GtkShortcutAction * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | to_string () const
| Prints the given action into a human-readable string.
bool | activate (Widget &widget, Flags flags=static_cast< Flags >(0), const Glib::VariantBase &args={})
| Activates the action on the widget with the given args.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< SignalAction > | create (const Glib::ustring &signal_name)
Static Public Member Functions inherited from Gtk::ShortcutAction
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< ShortcutAction > | parse_string (const Glib::ustring &string)
| Tries to parse the given string into an action.

## Protected Member Functions
| SignalAction (const Glib::ustring &signal_name)
Protected Member Functions inherited from Gtk::ShortcutAction
| ShortcutAction ()

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::SignalAction > | wrap (GtkSignalAction *object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::ShortcutAction
Glib::RefPtr< Gtk::ShortcutAction > | wrap (GtkShortcutAction *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Gtk::ShortcutAction
enum class | Flags { EXCLUSIVE = 1 << 0 }

## Detailed Description

A Gtk::ShortcutAction that emits a signal.

## Constructor & Destructor Documentation

## ◆ SignalAction() [1/2]

Gtk::SignalAction::SignalAction | ( | SignalAction && | src | ) |
| noexcept

## ◆ ~SignalAction()

Gtk::SignalAction::~SignalAction | ( |  | ) |
| overridenoexcept

## ◆ SignalAction() [2/2]

Gtk::SignalAction::SignalAction | ( | const Glib::ustring & | signal_name | ) |
| explicitprotected

## Member Function Documentation

## ◆ create()

static Glib::RefPtr< SignalAction > Gtk::SignalAction::create | ( | const Glib::ustring & | signal_name | ) |
| static

## ◆ get_signal_name()

Glib::ustring Gtk::SignalAction::get_signal_name | ( |  | ) | const

Returns the name of the signal that will be emitted.

Returns
  The name of the signal to emit.

## ◆ get_type()

static GType Gtk::SignalAction::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkSignalAction * Gtk::SignalAction::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkSignalAction * Gtk::SignalAction::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkSignalAction * Gtk::SignalAction::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

SignalAction & Gtk::SignalAction::operator= | ( | SignalAction && | src | ) |
| noexcept

## ◆ property_signal_name()

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::SignalAction::property_signal_name | ( |  | ) | const

The name of the signal to emit.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::SignalAction > wrap | ( | GtkSignalAction * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.